%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This script prepares some variables for the sweep functions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% create the model
opt = optLIGOp;
[vFrf, vArf] = getFieldSource(opt);

% get the serial numbers of some optics
nPR = getDriveIndex(opt, 'PR');
nBS = getDriveIndex(opt, 'BS');
nIX = getDriveIndex(opt, 'IX');
nIY = getDriveIndex(opt, 'IY');
nEX = getDriveIndex(opt, 'EX');
nEY = getDriveIndex(opt, 'EY');
nOMCa = getDriveIndex(opt, 'OMCa');
nOMCb = getDriveIndex(opt, 'OMCb');
nSrc = getDriveIndex(opt, 'Source'); % phase modulation input

% probe names and numbers
oprb = opt.probe;
prbNames = {oprb.name};

nREFL = strmatch('REFL', prbNames);
nAS = strmatch('AS', prbNames);
nASp = strmatch('ASp', prbNames);
nPOX = strmatch('POX', prbNames);
nPOY = strmatch('POY', prbNames);
nTRX = strmatch('TRX', prbNames);  
nTRY = strmatch('TRY', prbNames);  
nOMC = strmatch('OMC', prbNames);  
